# CompressedTextureBuffer

#### new Cesium.CompressedTextureBuffer(internalFormat, pixelDatatype, width, height, buffer)
Core/CompressedTextureBuffer.js 14

Describes a compressed texture and contains a compressed texture buffer.

Name | Type | Description
--- | --- | ---
`internalFormat` | PixelFormat | The pixel format of the compressed texture.
`pixelDatatype` | PixelDatatype | The pixel datatype of the compressed texture.
`width` | Number | The width of the texture.
`height` | Number | The height of the texture.
`buffer` | Uint8Array | The compressed texture buffer.

### Members

#### readonly bufferView : Uint8Array
Core/CompressedTextureBuffer.js 73

The compressed texture buffer.

#### readonly height : Number
Core/CompressedTextureBuffer.js 62

The height of the texture.

#### readonly internalFormat : PixelFormat
Core/CompressedTextureBuffer.js 29

The format of the compressed texture.

#### readonly pixelDatatype : PixelDatatype
Core/CompressedTextureBuffer.js 40

The datatype of the compressed texture.

#### readonly width : Number
Core/CompressedTextureBuffer.js 51

The width of the texture.

### Methods

#### static Cesium.CompressedTextureBuffer.clone(object) → CompressedTextureBuffer
Core/CompressedTextureBuffer.js 86

Creates a shallow clone of a compressed texture buffer.

Name | Type | Description
--- | --- | ---
`object` | CompressedTextureBuffer | The compressed texture buffer to be cloned.

##### Returns:

A shallow clone of the compressed texture buffer.

#### clone() → CompressedTextureBuffer
Core/CompressedTextureBuffer.js 99

Creates a shallow clone of this compressed texture buffer.

##### Returns:

A shallow clone of the compressed texture buffer.